## heroes 0.21

=== debian/changelog ===
heroes (0.21-21) unstable; urgency=medium

  * Enable prototype declarations and ensure functions are correctly
    defined. Closes: #1096804.
  * Clean src/config.h.in to allow building twice in a row.
  * Remove the old FSF address from debian/copyright.
  * Standards-Version 4.7.2, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 14 Sep 2025 18:47:38 +0200

heroes (0.21-20) unstable; urgency=medium

  * Drop the build dependency on libmikmod-config, the build uses
    SDL_mixer rather than LibMikMod when both are available.
    Closes: #1086449.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 31 Oct 2024 08:37:05 +0100

heroes (0.21-19) unstable; urgency=medium

  * Avoid forward declarations in the configure run test program.
    Closes: #1066661.
  * Bump to debhelper compatibility level 13.
  * Standards-Version 4.6.2, no further change required.
  * Remove references to the long-obsolete heroes-common and heroes-sdl
    packages.

 -- Stephen Kitt <skitt@debian.org>  Thu, 14 Mar 2024 13:07:40 +0100

heroes (0.21-18) unstable; urgency=medium

  * Ensure variables are only declared once. Closes: #957333.
  * Switch to debhelper compatibility level 12.
  * Avoid shipping an empty /usr/share/games/heroes directory.
  * Standards-Version 4.5.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 16 May 2020 16:29:27 +0200

heroes (0.21-17) unstable; urgency=medium

  * Migrate to Salsa.
  * Since heroes is installed owned by root:games, the binary target in
    debian/rules needs to run with fakeroot; indicate this with “Rules-
    Requires-Root”.
  * Update watch file.
  * Switch to debhelper compatibility level 11.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 06 May 2018 20:54:19 +0200

heroes (0.21-16) unstable; urgency=medium

  * Move Heroes to the Arcade sub-category in the .desktop file (closes:
    #865837). Thanks to Petter Reinholdtsen for the patch!
  * Drop the obsolete transitional packages, heroes-sdl and heroes-
    common.
  * Update debian/copyright.
  * Standards-Version 4.0.0, no further change required.
  * Switch to debhelper compatibility level 10.

 -- Stephen Kitt <skitt@debian.org>  Fri, 14 Jul 2017 22:43:02 +0200

heroes (0.21-15) unstable; urgency=medium

  * Rewrite debian/copyright in machine-readable format.
  * Migrate the /usr/share/doc/heroes-sdl symlink to a directory using
    dpkg-maintscript-helper (closes: #820323).
  * Clean up debian/control using cme.
  * Stop installing /usr/share/games/heroes in the heroes package.
  * Standards-Version 3.9.8, no further change required.
  * Enable all hardening options.

 -- Stephen Kitt <skitt@debian.org>  Wed, 13 Apr 2016 20:03:17 +0200

heroes (0.21-14) unstable; urgency=medium

  [ Stephen Kitt ]
  * Handle heroes' permissions in the dh_fixperms override, for
    architecture-dependent builds only.
  * Preserve the original manpages, help2man can't rebuild the new ones
    on buildds.
  * Allow building with GCC 6.
  * Avoid attempting to rebuild doc/heroes.texi, the build isn't
    compatible with current autogen (closes: #816269).

  [ Alexandre Detiste ]
  * Remove leftover heroes alternative (closes: #813244).

 -- Stephen Kitt <skitt@debian.org>  Sat, 05 Mar 2016 16:44:22 +0100

heroes (0.21-13) unstable; urgency=medium

  * Handle "Arch: all" builds correctly.

 -- Stephen Kitt <skitt@debian.org>  Sun, 24 Jan 2016 23:34:26 +0100

heroes (0.21-12) unstable; urgency=medium

  * Make sure /var/games/heroes is created (closes: #812517).

 -- Stephen Kitt <skitt@debian.org>  Sun, 24 Jan 2016 18:51:16 +0100

heroes (0.21-11) unstable; urgency=medium

  * New maintainer (closes: #738894).
  * Switch to debhelper compatibility level 9, using dh.
  * Switch to source format "3.0 (quilt)", and split up the old .diff.gz
    patch.
  * Enable the upstream tests, except those which require displaying the
    game.
  * Build a single heroes package since we only care about the SDL
    version (with heroes-common and heroes-sdl transitional packages for
    now).
  * Add homepage.
  * Add "set -e" to the maintainer scripts.
  * Drop the Encoding key from heroes.desktop.
  * Drop the Debian menu file.
  * Standards-Version 3.9.6, no further change required.
  * Spell "suppress" correctly (thanks lintian!).
  * Build with mikmod.
  * Load heroesrc directly from /etc, drop /usr/share/games/heroes/etc.
  * Add VCS URIs.

 -- Stephen Kitt <skitt@debian.org>  Sat, 23 Jan 2016 20:28:10 +0100

heroes (0.21-10) unstable; urgency=medium

  * QA upload
  * build with dh_autotools-dev to fix FTBFS on new arches. Thanks to
    Logan Rosen for the patch! (Closes: #744071):
    - debian/control: add build-dependency on autotools-dev
    - debian/rules: call dh_autotools-dev_{update,restore}config in targets
      build-stamp and clean.

 -- Ralf Treinen <treinen@debian.org>  Fri, 19 Sep 2014 20:42:39 +0200

heroes (0.21-9) unstable; urgency=medium

  * QA upload.
  * The package is orphaned, change the maintainer to Debian QA Group.
  * Drop the build-dependency on libmikmod2-dev, the package explicitly
    configures without mikmod.
  * Fix the segfault on free when levels aren't loaded in heroeslvl
    (closes: #716016).
  * Avoid installing /usr/share/info/dir (closes: #597415).
  * Update debian/watch using Bart Martens' version.
  * Add ${misc:Depends} to heroes-sdl and heroes-common.
  * Remove dh_desktop from debian/rules.

 -- Stephen Kitt <skitt@debian.org>  Mon, 17 Mar 2014 20:58:57 +0100

heroes (0.21-8.4) unstable; urgency=low

  * Non-maintainer upload.
  * Drop heroes-ggi binary package and the underlying build-dep
    on libggi-dev, which is going away (Closes: #680239, #84756)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 05 Jul 2012 21:23:49 +0200

heroes (0.21-8.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on big-endian arches.

